## aranym 0.8.7beta

=== atari/hostfs/Makefile ===
#
# Makefile for hostfs.xfs
# 
# If you got these sources as part of STonX note:
#    - You have to copy all files of this directory into the FreeMiNT source
#      tree at "sys/xfs/hostfs". Instead of you may change top_srcdir at this
#      Makefile to "sys" directory of the MiNT source tree.
#      "make" does only work, if you do so!
#
# Note: You need a crosscompiler to make hostfs.xfs or a native m68k-atari-mint
#       gcc, make etc.
#       To use crosscompiling change the variables at CONFIGVARS.
#       To crosscompile even FreeMiNT, you may have to change CRLF at 
#       CONFIGVARS (e.g. say "CRLF = echo crlf"). There may be additional 
#       errors, because of using "flags" at some sub-Makefiles. Comment out
#       "flags"-calls at those Makefiles (resulting programms will only work
#       if you're running at least version 1.15.10 of FreeMiNT.
#
TARGET = hostfs.xfs

GENFILES = $(TARGET) .natfeat
SHELL = /bin/sh
SUBDIRS = metados

srcdir = .
top_srcdir = ../..
subdir = 

include $(top_srcdir)/CONFIGVARS
include $(top_srcdir)/RULES
include $(top_srcdir)/PHONY

all-here: $(TARGET)

debug:
	$(MAKE) DEBUG_INFO=-DDEBUG_INFO 

# default overwrites
INCLUDES = -I$(top_srcdir) -I.natfeat
DEFINITIONS =
LD = $(CC) -nostdlib -Wl,--entry -Wl,_init
LIBS = $(LIBKERN) -lgcc
CPU = 030

# default definitions
OBJS = $(COBJS:.c=.o)

.natfeat: $(srcdir)/../natfeat
	$(MKDIR) -p $@
	$(CP) -r $</* $@
	cd $@; $(MAKE) CPU=$(CPU) DEBUG_INFO=$(DEBUG_INFO) parentdir=..

$(TARGET): .natfeat $(OBJS) $(LIBKERNTARGET) 
	$(LD) $(CFLAGS) -o $@ $(OBJS) .natfeat/*.o $(LIBS)
	$(STRIP) $@

include $(top_srcdir)/DEPENDENCIES

=== atari/hostfs/metados/Makefile ===
#
# Makefile for hostfs.xfs
# 
# If you got these sources as part of STonX note:
#    - You have to copy all files of this directory into the FreeMiNT source
#      tree at "sys/xfs/hostfs". Instead of you may change top_srcdir at this
#      Makefile to "sys" directory of the MiNT source tree.
#      "make" does only work, if you do so!
#
# Note: You need a crosscompiler to make hostfs.xfs or a native m68k-atari-mint
#       gcc, make etc.
#       To use crosscompiling change the variables at CONFIGVARS.
#       To crosscompile even FreeMiNT, you may have to change CRLF at 
#       CONFIGVARS (e.g. say "CRLF = echo crlf"). There may be additional 
#       errors, because of using "flags" at some sub-Makefiles. Comment out
#       "flags"-calls at those Makefiles (resulting programms will only work
#       if you're running at least version 1.15.10 of FreeMiNT.
#
TARGET = hostfs.dos
GENFILES = $(TARGET) .xfso .natfeat

SHELL = /bin/sh
SUBDIRS = 

srcdir = .
top_srcdir = ../../..
subdir = metados

include $(top_srcdir)/CONFIGVARS
include $(top_srcdir)/RULES
include $(top_srcdir)/PHONY

all-here: $(TARGET)

debug:
	$(MAKE) DEBUG_INFO="-DDEBUG_INFO"

# default overwrites
INCLUDES = -I$(top_srcdir) -I.natfeat
DEFINITIONS =
LD = $(CC) -nostdlib -Wl,--entry -Wl,_init
LIBS =  $(LIBKERN) -lgcc
CPU = 000

# ensure that FreeMiNT CVS proc.h is never loaded
MDFLAGS = -D_mint_proc_h
# some little code pieces needs to be metados dependent 
MDFLAGS += -DARAnyM_MetaDOS
MDFLAGS += $(DEBUG_INFO)

CFLAGS += $(MDFLAGS)

# default definitions
OBJS = $(COBJS:.c=.o) $(SOBJS:%.S=%.o)

.xfso:	$(srcdir)/../hostfs_xfs.c $(srcdir)/../hostfs_dev.c
	$(MKDIR) -p $@
	$(CP) -r $(srcdir)/../hostfs_xfs.c $(srcdir)/../hostfs_dev.c $@
	touch $@/BINFILES
	touch $@/EXTRAFILES
	touch $@/MISCFILES
	echo "COBJS = hostfs_xfs.c hostfs_dev.c" >$@/SRCFILES
	$(CP) Makefile.xfso $@/Makefile
	cd $@; $(MAKE) CPU=$(CPU) MDFLAGS="$(MDFLAGS)"

.natfeat: $(srcdir)/../../natfeat
	$(MKDIR) -p $@
	$(CP) -r $</* $@
	cd $@; $(MAKE) CPU=$(CPU) parentdir=../..

$(TARGET): .natfeat .xfso $(OBJS) $(LIBKERNTARGET) 
	$(LD) $(CFLAGS) -o $@ $(OBJS) .natfeat/*.o .xfso/*.o $(LIBS)
	$(STRIP) $@

include $(top_srcdir)/DEPENDENCIES

=== atari/network/ethernet/Makefile ===
#
# Makefile for 
#
TARGET = aranym.xif

GENFILES = $(TARGET)

SHELL = /bin/sh
SUBDIRS = 

srcdir = .
top_srcdir = ../../..
subdir = araxif

default: all

include $(top_srcdir)/CONFIGVARS
include $(top_srcdir)/RULES
include $(top_srcdir)/PHONY

all-here: araether

# default overwrites
INCLUDES = -I../.. -I$(top_srcdir)
DEFINITIONS =

LD = $(CC) -mshort -nostdlib -Wl,--entry -Wl,_init
LIBS = $(LIBKERN) -lgcc
CPU = 000

# default definitions
OBJS = $(addsuffix .o, $(basename $(notdir $(COBJS))))

COMMON_OBJS = $(addsuffix .o, $(basename $(COMMON_SRCS)))
ARAETHER_OBJS = $(addsuffix .o, $(basename $(notdir $(ARAETHER_SRCS))))


# generic driver target
$(TARGET): $(XOBJS) $(LIBKERNSTMP)
	$(LD) $(CFLAGS) -o $@ $(XOBJS) $(LIBS)


araether:
	$(MAKE) $(TARGET) \
                "TARGET=$(TARGET)" \
                "XOBJS=$(COMMON_OBJS) $(ARAETHER_OBJS)"


include $(top_srcdir)/DEPENDENCIES

## aranym 0.8.11beta

=== atari/hostfs/Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 LD = $(CC) -nostdlib -Wl,--entry -Wl,_init
 LIBS = $(LIBKERN) -lgcc
 CPU = 030
+CFLAGS += -D__KERNEL_XFS__
+
 
 # default definitions
 OBJS = $(COBJS:.c=.o)

=== atari/nfcdrom/Makefile ===

TARGET = nfcdrom.bos

COBJS = nfcdrom.c ../natfeat/natfeat.c
SOBJS = entry.S

include ../CONFIGVARS

CFLAGS  = -O2 -fomit-frame-pointer -Wall
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init_driver -lgcc -lc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm $(OBJECTS) $(TARGET)

=== atari/network/ethernet/Makefile ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 # default overwrites
 INCLUDES = -I../.. -I$(top_srcdir)
-DEFINITIONS =
+XIF_DEFINITIONS = 
+DEFINITIONS = -D__KERNEL_XDD__ $(XIF_DEFINITIONS)
 
 LD = $(CC) -mshort -nostdlib -Wl,--entry -Wl,_init
 LIBS = $(LIBKERN) -lgcc

## aranym 0.9.0final

=== atari/hostfs/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 DEFINITIONS =
 LD = $(CC) -nostdlib -Wl,--entry -Wl,_init
 LIBS = $(LIBKERN) -lgcc
-CPU = 030
+CPU = 020-60
 CFLAGS += -D__KERNEL_XFS__

=== atari/natfeat/Makefile ===
#
# Makefile for the embeded natfeat files.
# currently used in hostfs and hostfs/metados Makefiles
#
# usage: copy this dir into a local folder and do
#          make parentdir=..  (adjust the .. ?)
#
SHELL = /bin/sh
SUBDIRS = 

srcdir = .
top_srcdir = $(parentdir)/../..
subdir = .natfeat

default: all

all-here: objs

include $(top_srcdir)/CONFIGVARS
include $(top_srcdir)/RULES
include $(top_srcdir)/PHONY

# default definitions
OBJS = $(COBJS:.c=.o)

objs: $(OBJS)

include $(top_srcdir)/DEPENDENCIES

=== atari/nfcdrom/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 TARGET = nfcdrom.bos
 
-COBJS = nfcdrom.c ../natfeat/natfeat.c
+COBJS = nfcdrom.c ../natfeat/natfeat.c ../nfpci/nfpci_cookie.c
 SOBJS = entry.S
 
 include ../CONFIGVARS

=== atari/nfjpeg/Makefile ===

TARGET = nfjpeg.prg

COBJS = nfjpeg.c ../natfeat/natfeat.c ../nfpci/nfpci_cookie.c
SOBJS = entry.S nfjpeg_functions.S

include ../CONFIGVARS

CFLAGS  = -O2 -fomit-frame-pointer -Wall
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init_driver -lgcc -lc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm $(OBJECTS) $(TARGET)

=== atari/nfosmesa/Makefile ===

TARGET = osmesa.ldg

COBJS = nfosmesa.c lib-osmesa.c lib-oldmesa.c lib-gl.c lib-glext.c \
	lib-misc.c ../natfeat/natfeat.c ../nfpci/nfpci_cookie.c

include ../CONFIGVARS

CFLAGS  = -O2 -fomit-frame-pointer -Wall
LDFLAGS = -lldg -lgem

COBJECTS = $(COBJS:.c=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS)
	${CC} -o $@ $? ${LDFLAGS}
	${STRIP} $@

clean:
	rm $(COBJECTS) $(TARGET)

=== atari/aranymfs/metados/Makefile ===

TARGET = aranymfs.dos

COBJS = dosmain.c
SOBJS = dinter.S

include ../../CONFIGVARS

ASFLAGS = --register-prefix-optional -m68030 $(ASINC)
CFLAGS  = -O -Wall -mshort -m68030 $(LOCALCONF) $(INC)
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init -lgcc

OBJECTS = $(COBJS:.c=.o)
OBJECTS += $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(OBJECTS)	
	${CC} -o $@ $(OBJECTS) ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm $(OBJECTS) $(TARGET)

=== atari/aranymfs/mint/Makefile ===
#
# Makefile for aranym.xfs
# 
# If you got these sources as part of STonX note:
#    - You have to copy all files of this directory into the FreeMiNT source
#      tree at "sys/xfs/aranymfs". Instead of you may change top_srcdir at this
#      Makefile to "sys" directory of the MiNT source tree.
#      "make" does only work, if you do so!
#
# Note: You need a crosscompiler to make aranym.xfs or a native m68k-atari-mint
#       gcc, make etc.
#       To use crosscompiling change the variables at CONFIGVARS.
#       To crosscompile even FreeMiNT, you may have to change CRLF at 
#       CONFIGVARS (e.g. say "CRLF = echo crlf"). There may be additional 
#       errors, because of using "flags" at some sub-Makefiles. Comment out
#       "flags"-calls at those Makefiles (resulting programms will only work
#       if you're running at least version 1.15.10 of FreeMiNT.
#
TARGET = aranym.xfs

SHELL = /bin/sh
SUBDIRS =

srcdir = .
top_srcdir = ../..
subdir =

include $(top_srcdir)/CONFIGVARS
include $(top_srcdir)/RULES
include $(top_srcdir)/PHONY

all-here: $(TARGET)

# default overwrites
INCLUDES = -I$(top_srcdir)
DEFINITIONS =
LD = $(CC) -nostdlib -Wl,--entry -Wl,_init
LIBS = $(LIBKERN) -lgcc
CPU = 000

# default definitions
OBJS = $(COBJS:.c=.o)

$(TARGET): $(OBJS) $(LIBKERNTARGET) 
	$(LD) $(CFLAGS) -o $@ $(OBJS) $(LIBS)
	$(STRIP) $@

include $(top_srcdir)/DEPENDENCIES

=== atari/hostfs/metados/Makefile ===
--- 
+++ 
@@ -43,8 +43,9 @@
 CPU = 000
 
 # ensure that FreeMiNT CVS proc.h is never loaded
-MDFLAGS = -D_mint_proc_h
+MDFLAGS = -D_mint_proc_h -D_libkern_kernel_xfs_xdd_h
 # some little code pieces needs to be metados dependent 
+MDFLAGS += -D__KERNEL_XFS__
 MDFLAGS += -DARAnyM_MetaDOS
 MDFLAGS += $(DEBUG_INFO)

=== atari/network/ethernet/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 LD = $(CC) -mshort -nostdlib -Wl,--entry -Wl,_init
 LIBS = $(LIBKERN) -lgcc
-CPU = 000
+CPU = 020-60
 
 # default definitions
 OBJS = $(addsuffix .o, $(basename $(notdir $(COBJS))))

=== atari/fvdi/drivers/aranym/Makefile ===

TARGET = aranym.sys

COBJS = ../common/init.c spec.c ../common/colours.c dispatch.c 8b_pal.c \
	16b_pal.c 32b_pal.c
SOBJS =

include ../../../CONFIGVARS

INCLUDES = -I../include -I../../include

CFLAGS  = $(INCLUDES) -O2 -m68020 -fomit-frame-pointer -Wall 
ASFLAGS = $(INCLUDES)
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init -lgcc -lc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm $(OBJECTS) $(TARGET)

=== atari/fvdi/utility/fvdicout/Makefile ===
#
# Makefile for fvdicout.app
# 
#    - You have to copy all files of this directory into the FreeMiNT source
#      tree at "tools/toswin2/fvdicout". Instead of you may change top_srcdir at this
#      Makefile to "tools" directory of the MiNT source tree.
#      "make" does only work, if you do so!
#
# Note: You need a crosscompiler to make fvdicout.app or a native m68k-atari-mint
#       gcc, make etc.
#       To use crosscompiling change the variables at CONFIGVARS.
#       To crosscompile even FreeMiNT, you may have to change CRLF at 
#       CONFIGVARS (e.g. say "CRLF = echo crlf"). There may be additional 
#       errors, because of using "flags" at some sub-Makefiles. Comment out
#       "flags"-calls at those Makefiles
#       I need the FreeMiNT CVS tree of the version at least 1.16.0.
#
# STan (c) 2002
#
TARGET = fvdicout.app

SHELL = /bin/sh
SUBDIRS = 

srcdir = .
top_srcdir = ../..
subdir = fvdicout

installdir = /opt/GEM/toswin2

default: all

include $(top_srcdir)/CONFIGVARS
include $(top_srcdir)/RULES
include $(top_srcdir)/PHONY

strip: $(TARGET)
	$(STRIP) $(TARGET)

all-here: $(TARGET)

# default overwrites
INCLUDES += -I.. -I/usr/GEM/include

# default definitions
OBJS = $(COBJS:.c=.o)
LIBS += -L/usr/GEM/lib -lcflib -lgem 
LIBS += -liio
GENFILES = $(TARGET)
CFLAGS += -O2

$(TARGET): $(OBJS)
	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) $(OBJS) $(LIBS)


include $(top_srcdir)/DEPENDENCIES

install: all
	$(top_srcdir)/mkinstalldirs $(installdir)
	cp $(TARGET) $(installdir)
	chmod 755 $(installdir)/$(TARGET)
	$(STRIP) $(installdir)/$(TARGET)

## aranym 0.9.4beta2

=== atari/nfjpeg/Makefile ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	${STRIP} $(TARGET)
 
 clean:
-	rm $(OBJECTS) $(TARGET)
+	rm $(COBJECTS) $(SOBJECTS) $(TARGET)

=== atari/nfosmesa/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 TARGET = osmesa.ldg
 
-COBJS = nfosmesa.c lib-osmesa.c lib-oldmesa.c lib-gl.c lib-glext.c \
-	lib-misc.c ../natfeat/natfeat.c ../nfpci/nfpci_cookie.c
+COBJS = nfosmesa.c lib-osmesa.c lib-oldmesa.c lib-misc.c lib-gl.c lib-glext.c \
+	../natfeat/natfeat.c
 
 include ../CONFIGVARS

=== atari/nfpci/Makefile ===

TARGET = nfpci.prg

COBJS = nfpci.c nfpci_cookie.c ../natfeat/natfeat.c
SOBJS = entry.S nfpci_bios.S nfpci_xbios.S

include ../CONFIGVARS

CFLAGS  = -O2 -fomit-frame-pointer -Wall
ASFLAGS = -m68020
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init_driver -lgcc -lc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm $(COBJECTS) $(SOBJECTS) $(TARGET)

## aranym 0.9.6beta2

=== atari/nfcdrom/Makefile ===

TARGET = nfcdrom.bos

COBJS = nfcdrom.c ../natfeat/natfeat.c
SOBJS = entry.S

include ../CONFIGVARS

CFLAGS  = $(OPTS) $(WARN) $(GENERAL)
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init_driver -lgcc -lc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) ${LDFLAGS}
	${STRIP} $(TARGET)

clean:
	rm $(COBJECTS) $(SOBJECTS) $(TARGET)

=== atari/nfstderr/Makefile ===

TARGET = nfstderr.bos
TARGET1 = print.prg

COBJS = nfstderrbos.c ../natfeat/natfeat.c ../nfpci/nfpci_cookie.c
SOBJS = entry.S

include ../CONFIGVARS

CFLAGS  = $(OPTS) $(WARN) $(GENERAL)
LDFLAGS = -nostdlib -Wl,--entry -Wl,_init_driver -lc -lgcc

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)	
	${CC} -o $@ $(COBJECTS) $(SOBJECTS) $(GENERAL) ${CFLAGS} ${LDFLAGS}
	${STRIP} $(TARGET)

$(TARGET1):	print.o
	${CC} -o $@ print.o $(GENERAL) ${CFLAGS}
	${STRIP} $(TARGET1)

clean:
	rm -f $(SOBJECTS) $(COBJECTS) $(TARGET)

## aranym 0.9.9

=== Makefile ===
PACKAGE:=aranym
VERSION:=0.9.9
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://aranym.org/
URLS=http://downloads.sourceforge.net/project/aranym/aranym/0.9.9/

include ../Rules.make

=== debian/changelog ===
aranym (0.9.9) unstable; urgency=low

  * Initial tablet package

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 02 Mar 2010 11:55:00 +0200

=== debian/control ===
Source: aranym
Section: user/games
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), libsdl1.2-dev, libsdl-image1.2-dev, zlib1g-dev
Standards-Version: 3.8.0

Package: aranym
Section: user/games
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, emutos-512k
Maemo-Display-Name: Atari Running on Any Machine
Description: ARAnyM
 ARAnyM is a software virtual machine (similar to VirtualBox or Bochs) designed and developed for running 32-bit Atari ST/TT/Falcon operating systems (TOS, FreeMiNT, MagiC and Linux-m68k) and TOS/GEM applications on any kind of hardware - be it an IBM clone (read it as "PC" :-), an Apple, an Unix server, a graphics workstation or even a portable computer.
 ARAnyM is not meant as an emulator of Atari Falcon (even though it has a rather high Falcon software compatibility and includes most of Falcon custom chips including VIDEL and DSP). ARAnyM is better in the sense that it's not tied to specification of an existing Atari machine so we were free to select the most complete CPU (68040 with MMU) and FPU (68882), add loads of RAM (up to 4 GB), host accelerated graphics (even with OpenGL) and direct access to various host resources including sound, disk drives, optical storage devices (CD/DVD-ROMs), parallel port and more.
XSBC-Bugtracker: mailto:milang@tal.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAFFhJREFUeNqsWgmYFNW5Pd1d
 vffMdM8+MGzDDqMEWRUEEZ6KGhcE0bjghkFDXPCpYdEQxRg3MGhEDS4o4gLK
 +5KHCEaCW5jwIEBkEFCGZfa1u6en9+qqd+6tHmhwzEPzSq5NV1fd+tfzn/8v
 TK6yG/B9h8lkkZ+6rvF/KnQtAaTi0FMxrihPdUBTw9CTkd78Pl7XYsORSgzU
 dbUnb8vjcsOswGRxRszWrFaz1VdtduQdMDsKd6lm35dZvp6Hpky5FFMv+QnG
 nQ30t554dmUEWLqsCm++uhx6vAY2q10I9B0ZFfyoQ+efVB4Vu45froLZMsGk
 2+R5XSieEkqrxqWaUDyUo2lqCb+VmyyOqbAloVMYi9Xxpcvtet9sxhpdR+OP
 keQHK0ChSyjRfTCZb9d0W1ZKpcgmJxRPFqw2l6GbGqXcQWiJIHQu6SV6LBXh
 +SS9psVgcpnQ7veN87fHxnl9WOK0YSW3f5qr+ofIY7H6hv2LEDJnWhwmXb1f
 09X34x3Jial2q91WNBiDxkxDcf/JgLUQiURCCkqpDU+YrSJ8uOwQzte1OD0S
 hxZrhinRhGQ8ipoGFd37jbP+xzDzGAbJL4yH4fMWOnDbNj/+uevvDNt2WCzK
 jw8hE/S+OlKrIsHYOESz0OecKZhx/TRYrXnYu30rKivWof3ILsQibbyW+WKx
 UXhbWgEKb3EANh/MOkOH3tASAaZSGxD/EuHgQSx7uANFJU/g7ikQcbiE6wpq
 MctiMe/7t0PIbNJ/GkvE1iYbNXt2+fl4ZslNGDU+Dx+t/xtWLZ+Dr3dulkYz
 uXpAcebTSArDTBhRJL6esZGVe9HG1hxYHMXSU1q8md5oROzIk7hnRjUcH7yG
 n0+yi6tHNrRibyKemmlWLGuJG9KMxjotBaTD+UDt1o5QeKXe7sWVv7geby89
 Dweqo5h9+VXY/tcP5HWKt5xA42J4JGWY6bRy18kjfmN2I2nsT89Y3L1gpjJa
 vB6pwNuYM6Ue5g/XYfaFecil8yoPHn1PjYd/qSi25wkUP0QBWtSk3xxqD69E
 pBseXXEfFs3qjede+RPuuu1q/h6HJWcIEygLaiLCkAgzRi2nlXRaKmX8JaUa
 MU2oNtlLKV8OtNBW3H7RxfBu/TNmTCxEXp4NqfrG55TCBJM/9TxM3xXX5Op9
 bRfJq10Qj8Y3qYF8/H71I7jrqhLceOdjeHPFIv7qga2gXFo0lYwhFWyUlrH6
 imXSy5rRlU+JlZqqQg22GuEF8wlvy+Tkd2EDlftZxmDP4Y+RnW1Dn26zeHIn
 FCU5jReux3FgSd/t7HnVSaFjQqpY1bS6RK3FNG/5Y3hm7iBcfM2D2PjukzCL
 OHeXMhEjUEPtyCkuwZJlSxFqT2LxA79AoiMKxeXqUoFkewCu/CJcO+d+2B1u
 IlYcKXpDLC2lQbE74G9uwIa3llPJr5HV6zoCw2rMffIz/OHBq2GysYiqkT70
 2JGTFHCUXpoJ8iJ0dkYb4meNmjYH29+djpl3/A7vvTgfFk8ZLM5CifFSIH8T
 ivoNxsFvPkED9z6zqD/iwTis3rw0Eh53J/NDgxqogiOvH5a//zdkeZ2IMzFV
 RlOS0JtMqnB4XDh2cB+W3DqJP4giGMPUW36PVa/chn49pqG9Zr3Y7QDXoJMU
 sBdPPhH3ujY3kdSf05WBqDj4Ejau/RiLZ1+Qtnz348LLq/l0xWHHwEF9kYiG
 sL9yL6uriwayCiMYuC0UDQbgLizCDXcugMeXi9K+5WipP4o3l95LKGVBY/GT
 YcdwtDizMHLKNUjEk9j01lIkgnV4c8sh+NsCuGv6wM5HL+B6/HgSi3BIVxk3
 y/uzGuH5lt/ehaqDDIvZFzIesyh8D4nfJ8GrzSatt+fzTfxGF8DLfcJSGJ38
 x+KjJ2h5aC1IxLIxbNxkeHI8iNIGyWMHcLRyaxpVfGmP+QFnGWbeOx7xWLsB
 OlBx92134f3N76DP0AtwuFJANn7L9RJXm6FAKpKutNrDqqZY3GUjMHDoUCy6
 /Wp53pZbbsQ83SoeZ1EMy+paCmaRmNZ85kJ33P7Ao3A4nVKUproavPzYfbB5
 vLh98Ztw5XgRjcRQc+RbvPv8rxBhIitZ/biZmzlpkc9JhnLh8RairbkecXpU
 FyhlK0Zb1QZs2rgds+9ZhAWzN3fa7zGuO9IKhIU0rB7me/S4DcPGX47PN/4J
 h3avhZI9mL8lDauGWqVwFok2puNoo9P1ilXBOedPgDvHqF1V+/uSQQZgyvJi
 +IQLQcKGGGO+sa4K3+7aJBHHyvohkEkgkiY8lQwiFnWypti54mk3m2UFX/H0
 43jihZXIK+qN1kaZw3O4HuAKKTI0NP0GVkqb2dONiWXDlxsekSXCbPdy3yY4
 ybaefudDJpuGRffcSrQJsaLa08ZIkdPE0FDHWA95JUC2NNTJgpVMJhBsa0ND
 9WGsWX4/IoG05c1uiBgRhS0ZDnH/PFx4x2MMyRj+9PJCnvODwERkoocsJgSP
 bsHBA9/iomm34q0VD3V64TauZWaRmCzrN4lK6s7vi8P7tsJfTdz1DjF4fyLJ
 Z5lx+czhuOTqETBpEVqX56P85MOBdiJKlNdYWdgg6L9hOUSQioZFAWD4dOCb
 nRtRe2gnBXLxGsPyknIk2mVNGTxmCnoOHIaGA1vQWrOLrvbwOm6oi8C149NP
 NqB72VmZaTgrHULRXD5xnFlxSMsEaitEoNMhLhn7Sna2RIVLz7mahSuMOPHc
 U9QHdy58Ci5S6BRzo7WlCU/+57XQokF6kFDq8uGmBavhzM6lc1m3qbDF3ZO9
 jiI1FPkjLO/OLcTFv3ySodOBVxfNlNY+78ankUimsHPzGiY/n29jSGXlYeen
 H2H06LEkfT3QWC8Zt6DRpQotP9lAAwthzQ89VmfgfSohUcJstcryX7ltk0QF
 gTY2JuuI8ROQI4CGt377VQNeWLBZUgzj8OHnv3kd7iwfwuGwtHQqQm/pioFW
 4iAj1VI+9B8xCW31Vdhcs0NW+dLBZzOJg9jxYQckdYKDVdiGhP8wGhubMeCM
 szsVEMcUYY6RRsIodHm9DBuzPQ/pu2UREklr9ZXJoiRwXVi9sb4BkWg+hTOj
 ramBv9Hl7r64bu7DTGYvrRpF7ZFvsG75vVTSjhnzliESCmHDqmfooRxccsfj
 vCaCN359LSmOBede9wRzJoWPVi5AMuKXiS1yIF2h5GdzYw33LskMoxEiGAd0
 0ggt3pomWMr3tJGaXOISm90Fm0OhN8yk/6TxeitDqB3lYyZg6KiJcNLtIilr
 D+1A/bcVGDB8EsrOoK3ix5j0YQwcfQF6DChH89EKNB2uQu9h56G4bDBaeH2w
 /jDDiQaRxTBd1a1uNNTyXvUkLjSQ5Me8g0KNsDgJj9Zsg07IT/V7WHFKCty9
 tJSKkCXGQuQ/Xow+fzrpQC56DjiTnKYWa39Py5vtGDXlZ7R4NrJ9BVKhNlqx
 PehnUn+CeEcLgv4g+wMffAUFUGMBhPysT0q29LpB+tJcKhlHQbcB6FdWim0f
 vdB5eq/CrilPF5MGJqhACJPiPOnG7zQ4TCqV8Fi1e4OEUOPIx20PvcKkzkEH
 ITbGeK899D8878KQh95gnbCiat9OWZgHjrkYdVW78cU7iwzy6OpPcIij+RCb
 L5MGa1aBJJynslozQzwWaacHEuluRR65isnizhUKaCxoJi2Hmmef3EmdciSI
 5c7cfPxs8Vo4KXC0o4OKWxBhstYeOYj3lt1Ny9swfd7rpA1xvDx/BqzkTFOu
 X0jOFMTrC0ke2WKOnf4bWtohEzwcaMb+bRuRko200iUlFx5JqSyqqSRE66Ea
 tstSzLYcXTTbupwcxGSD0ZnAp+wgExpqG2PYjcE/GYPsvGJCXpLcJUqoTBBu
 o2g4ukvidr/hExFoOoYNtTvl9xTxXBQ8f32lRKKCXkNZN8inWLEs9JAabZHT
 DWbu945yBHVJkWJoGfqZbHkjD6eijb1TkWoZQkrOoBMJm8nnQ0EWukLMuHUe
 XNk+dO8zGP6WOqz9w6+QJOKYzCYa1oMzx18Bu9tLtMiTU4emmkMMSAU5+SXs
 AWJo5ndhZU9uMastaTZNmYhHyI9a6M0gavZ+QQEprMV2Ei0XgufkdkfP0gLs
 +eKtztN1itlRSNXRO8XmWhI7kbwZKCR5j6hGaisLiwdnjJ0EF/FdhEcT0eJo
 5ecnHuTsRTY5mSHjwqFKYgOtXjb8fN4XpiJVsnkp7vsTJmSS8RymVxIMhRQf
 54Cv13AoLUeg7/6IuzmM7iyzFWWeODw+5tNJP7QpJntBtdlkHalEG9jw1Mhp
 gdnqTTfgtDyx2sGKO33ecviKSqTgDTW78cFLD5HbtJDb9GGGuSS3sdDFry6+
 mRU4CxNmzKNFA1j3xI1MfA+GX3gLBbWTVkQQaqvH15+ulgoJS0tKIWM8IZWW
 FOLUg0YoKCyB0+rPPFunJE25B3UmlcVNQaiARm5ituVmNC6qZI3lZ09CbkE3
 QiC5Dzc7tPtjoxf2DjUoMQVQKUBrtYh5IslMKwVMpmPeQwhNQhFhQWxPJqJo
 r9/L8zb52/E6w98EJJ8IHVN6wGCSrDiXLWm47kCmAgeUweVn7fD7O1DzLWmA
 tZLXBdLWT4OV2WjUQwE/2v0tePvZ+xALBQh3ZdAtLoPbSFbZAQdzY/LsFZKF
 fvjH+RIOR165iEnqYW1x0PIN+HrLKjIKJvmkuXK0oqZ7YxGlovqKzyRrS+jo
 bhm6osNLaQxrZylyfdmo3LojU4GdyiVTL90iJP2vDd1M+zd9zRD6u5w6E17T
 +ZDOaQhWGcSxfV9Iqm31DqRupMSdrDLeQSh2o9eQ0egINJDRsg5YSjD6inJZ
 UTtIAmNkpaFmWtBeCk9hH4l4cRI5kQcpUhKVMKnp5GSWFmhCBjEIM9mQIswO
 mngd3HYVzU3NmQr8RTnnXG8bqcuXQ4ZfNn5+MIjaz/awujbJJt7wpMFDEvG4
 nB5Ys3qxmChpPq+Rt3TAmZOL825dxNCIY/1zd0s+D2s3uPJ6osPfzNgnXBJt
 BOrAXgybOw9hMV4R/IunYmyWWr/eJNHHJHIiZQy/xFjSsF4Mo0aPR/WetzKF
 F3hdax45BBjaDa9dOxp4dvkNQMnN5EQs5wKRTCcyXlgnqSbTI0PNUEtavp2K
 JdHnzPEoJrS2VH2BYON+KuCRuSPG6KJAqUQeoy3VpeKCEIrvGhFPVeOIt5Hn
 EEqT7W3kVGECSRYfz3wJNqJ46GUozHdg25b1mQqskv1Amtut5nph+jDYn33t
 Kdxz0ZdIBr6BLW/wCRjT0z26mKyRQydoeUdWDs69aaG0/Lqnfk6FdYye/ogs
 avs+W0/gCGLP5lVs3qzoOWqanI8e34+CJ0gNWirfFfwE2UMuo7I2qWxKTPta
 vmEYRaUhp984B/sqXkY8qWUwS7yCjPGYIP9LxV/uvtCNWx4Xo3pWx0gj0uMB
 I2SENYkgfDL93k5HqIblywbBX7Odcb8fJf1Ho6j3IP4WkRyno/4oAo11DBU9
 TYsNhFEpaZIFLOE/yipMi3tKYHIXQHcVImXLoqGYG8GDOOuSB1GQFcXGD1Zl
 Wl+wuQ4Z4PoJ3uOifkFzel464fpV+Pyt27lxD1b3HHizSZ9dDgwYcQEN6ZSI
 EWF1PrB9g5wDlY2YSvTRceyrLdSvDfEIFVU8siiaWaWtDhshOoQ477F6iuAb
 MhmJcCsClRthodDWHmNkx5esqRDzKaRCtXDmj8VTr6zF8wsmY3/lV5kKiFlM
 QIbQP0PHBwCRSBy/JBqumNQT+Gz1LAxvrsfuzY9CYyw2HWZck3JfdMu5FMYj
 OUxz9UFUrHuYNxfj3BvGMzGbsOfPy2R3Z/X2NHJA/MewC7e0SOsrVrd8mKqb
 JD/qzCmV9whagVgrvSw6u2IsWv4OtqxdfKrwD3QKLz0w58ljx2uGwjCprW/b
 3pEIj3pk7miM7c8eddoT+HT9EtLeQnKcXHjz88haiUj0nEpuE2huZAfnY3uZ
 Rz4fJOq00OjZMIaw2klkUD5EcCz+JgZjomjq3EP0Hzqrr3z9FGR3p7vw4Iqt
 iNf/Bc8+cmem8OKFx9CTp9NDFh5PC+FqTVcLIg2N9TBlWZYsuREL54zAHfPf
 wYu/m5d+xyCyOYHONtSaUywFS7Y3y/5A8Hk5mvheSm5YXWMOiU+zw2ukInE/
 GTomLT9/xWaYO/6Bx+7/2ak39zz1HZrJXHxZxmxXl0WHfOn8mL/2E3REMfmq
 m7Dq7Xn4ePMh3HzlLJbJr6D4Sqmsw5BRslb9xJjcOHlaL67E9TKtSROS/iq4
 C8fhoWWvEYo34umHZp96w0+5/vs7u1hzh3f9flhP3pCKN7+RCtfBnjsBb7y3
 EkW9+uOpXz+NDWuWyQmE1Vckdjg9ebtUgEhEeiFAcMLl92P6rFmo+HAp1qx8
 5tSLxRjxxS53sXoHd/U2QgqVitTN0lT/652hfOX192LW3Pmoqe7A6j++hIrN
 a8R0j3ysAFars8tXQF03RixqgRYpeN/hV+CKa25Gbh7wNqv43j27Tlt4QwHf
 Gd+jgI5UuJrh7p/KM+tkg5t+KzX73oUYNvYytLYksKOiAp//dRMCNZXGXEgM
 yGwOY6KQfpsiZ6tkqnI0LfpodzecNeY8jBgzFvkFbnyz+0Ose+MP33knwjWT
 a/2/tMe/VkDQaznF7s31OtfEzMumXnkNBpRP5OU5aGkNoaamDk1NjQiS58RI
 /EQDbhYzJXrH5cqmlXNRWFyMooJcKhhj+/kPfLR+TVdyVaRHhwf/T4eepgKd
 xz1ci7lyMk96PC4MKh8Bd1Y32tdpMEtiv0qOJAdjAv/lSw+GTpKE8cg+1Nc2
 dCWPmPWLyfITp51JP1ABY4YC3JcecXvx/3OIcvoyl8je+h8EBT9CgcxyLmJU
 vAmZgO90safzL0Ygmot306vlR2HZv6FA5lHKdQ7XKDHu4+ouhk4ZHgoY75BQ
 l35RJ6Ze27iO/ruu+18BBgDMLL+ut6jW3AAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_OPT_FLAG:=-O2 -pipe -fomit-frame-pointer
DEB_TAR_SRCDIR:=aranym-0.9.9
ifeq ($(IS_FREMANTLE),y)
ARAPREFIX=/opt
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt
else
ARAPREFIX=/usr
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr
endif
DEB_CONFIGURE_EXTRA_FLAGS:=--enable-fullmmu --disable-parport --disable-opengl --enable-lilo

include /usr/share/cdbs/1/rules/tarball.mk

install/aranym::
	install -d -m 755 debian/aranym/usr/share/aranym/
	install -m 755 debian/config.emutos debian/aranym/usr/share/aranym/config.emutos

	install -d -m 755 debian/aranym/usr/share/applications/
	install debian/aranym-etos.desktop debian/aranym/usr/share/applications/
	install debian/aranym.desktop debian/aranym/usr/share/applications/
	install -d -m 755 debian/aranym/usr/share/icons/hicolor/32x32/apps/
	install -d -m 755 debian/aranym/usr/share/icons/hicolor/48x48/apps/
	install -m 644 $(DEB_BUILDDIR)/contrib/icon-32.png debian/aranym/usr/share/icons/hicolor/32x32/apps/aranym.png
	install -m 644 $(DEB_BUILDDIR)/contrib/icon-48.png debian/aranym/usr/share/icons/hicolor/48x48/apps/aranym.png
ifeq ($(IS_FREMANTLE),y)
	install -d -m 755 debian/aranym/usr/bin
	cd debian/aranym/usr/bin && ln -sf /opt/bin/aranym aranym
endif

## aranym 0.9.10

=== Makefile ===
PACKAGE:=aranym
VERSION:=0.9.10
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://aranym.org/
URLS=http://downloads.sourceforge.net/project/aranym/aranym/0.9.10

include ../Rules.make

=== debian/changelog ===
aranym (0.9.10) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Mon, 21 Jun 2010 12:24:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
 DEB_OPT_FLAG:=-O2 -pipe -fomit-frame-pointer
-DEB_TAR_SRCDIR:=aranym-0.9.9
+DEB_TAR_SRCDIR:=aranym-0.9.10
 ifeq ($(IS_FREMANTLE),y)
 ARAPREFIX=/opt
 DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt

## aranym 0.9.13

=== Makefile ===
PACKAGE:=aranym
VERSION:=0.9.13
SOURCE:=aranym_$(VERSION).orig.tar.gz
HOMEPAGE:=http://aranym.org/
URLS=http://downloads.sourceforge.net/project/aranym/aranym/0.9.13

include ../Rules.make

=== debian/changelog ===
aranym (0.9.13-6) testing-proposed-updates; urgency=low

  [ Thorsten Glaser ]
  * handle libusb dependency on kfreebsd (Closes: #690007)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 24 Apr 2013 20:02:06 +0000

aranym (0.9.13-5) testing-proposed-updates; urgency=low

  * Reupload of -4 with merged previously forgotten NMU -3.1

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 24 Apr 2013 11:40:18 +0200

aranym (0.9.13-4) testing-proposed-updates; urgency=low

  * cherrypick patch for NatFeast problem (Closes: #698064)
    to get ARAnyM to wheezy

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 24 Apr 2013 08:56:45 +0200

aranym (0.9.13-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * explicitly build-depend on zlib1g-dev for transparent kernel
    decompression (Closes: #669660)
  * drop quilt build-dependency (unneeded, as per lintian)
  * add a watch file (lintian)
  * 0004-fix-spelling.patch: new (lintian)
  * 0005-fix-zlib-configure.patch: new: have_zlib="" is not
    caught by "= no" but by "!= yes" comparison; this fixes
    zlib detection for systems without pkg_config
  * run configure scripts with bash, as they use [[

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 06 May 2012 21:49:56 +0000

aranym (0.9.13-3) unstable; urgency=low

  * package re-upload, added source format setting
  * fpu_mpfr longword conversion fix (Closes: #666947)
  * fix missing libusb.h on kfreebsd platforms (Closes: #665867)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 19 Apr 2012 21:35:57 +0200

aranym (0.9.13-2) unstable; urgency=low

  * fpu_mpfr longword conversion fix (Closes: #666947)
  * fix missing libusb.h on kfreebsd platforms (Closes: #665867)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 19 Apr 2012 21:35:54 +0200

aranym (0.9.13-1) unstable; urgency=low

  * imported upstream version 0.9.13, including changes for 0.9.12
  * updates aranym.desktop and creating aranym-{jit,mmu}.desktop
  * rules updated to install two or three (on i386) desktop entries
  * update of title, longtitle a description in menu-i386 and menu-other
  * new dependencies on libmpfr-dev and libusb-1.0-0-dev
  * provided last-minute patch for FPU bug reported after 0.9.13 release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 26 Mar 2012 16:03:32 +0200

aranym (0.9.11-1) unstable; urgency=low

  * [02e3bf1] follow debian policy 3.9.1
  * [e4b9044] Imported Upstream version 0.9.11
  * [e8a425e] minimize the number of logs generated in SCC emulation

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 16 Feb 2011 12:47:43 +0100

aranym (0.9.10-1) unstable; urgency=low

  * [4fc092f] Imported Upstream version 0.9.10

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 01 Jun 2010 16:52:06 +0200

aranym (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 07 Sep 2009 05:59:52 +0000

aranym (0.9.8beta-1) unstable; urgency=low

  * New upstream release
  * removed ipmasq from recommended packages

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 25 Apr 2009 13:46:20 +0000

aranym (0.9.7beta-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 14 Nov 2008 11:03:02 +0000

aranym (0.9.6beta2-1) unstable; urgency=low

  * New upstream release to address bug in XHDI code which could affect data
    integrity of PARTITIONs
  * fixed .desktop in upstream
  * 32x32 automatic conversion from png to xpm (ImageMagick)
  * 48x48 icon in png

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 29 Jan 2008 20:44:01 +0000

aranym (0.9.6beta-1) unstable; urgency=low

  * New upstream release, Closes: #455413, #459364, #428355
  * No strip during 'make install', agreed with upstream, Closes: #436479
  * added icon /usr/share/pixmaps/aranym.png
  * added icon /usr/share/icons/hicolor/48x48/apps/aranym.png
  * added desktop file aranym.desktop
  * icons added to menu file

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 29 Jan 2008 02:06:15 +0100

aranym (0.9.5beta-1) unstable; urgency=low

  * New upstream release
  * Large clean up of the debian diff, it contains just debian/ from now
  * debian/rules invokes make with -f only, -e removed

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 10 Jul 2007 19:09:04 +0000

aranym (0.9.4beta2-1) unstable; urgency=low

  * New upstream release
  * Added --enable-addressing=direct to MMU build to enable unlimited FastRAM

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 28 Nov 2006 19:08:09 +0100

aranym (0.9.4beta-4) unstable; urgency=low

  * pass build and host to configure from dpkg-architecture, Closes: #394204

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 27 Oct 2006 15:29:08 +0200

aranym (0.9.4beta-3) unstable; urgency=low

  * applied tweaks from Petr, Closes: #388995
    (upstream notified)
  * changed HOSTTYPE detection
  * added link to AFROS

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 25 Sep 2006 08:56:31 +0200

aranym (0.9.4beta-2) unstable; urgency=low

  * make package compatible with debhelper 5
  * clean ups in debian/rules

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 23 Sep 2006 00:45:46 +0200

aranym (0.9.4beta-1) unstable; urgency=low

  * New upstream release
  * README.Debian changed
  * man pages moved to upstream

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 22 Sep 2006 22:06:19 +0200

aranym (0.9.3beta-1) unstable; urgency=low

  * New upstream release, Closes: #353112 , Closes: #317305
  * emutos has been removed by upstream, Closes: #343058
  * added note about FastRAM to doc, Closes: #334750

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed,  1 Mar 2006 08:40:10 +0100

aranym (0.9.0final-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * src/Unix/Makefile.in: Fix build failure with make 3.81+.
    Thanks to Matt Kraai for the patch.  Closes: #353112.
  * Automatically update config.{sub,guess} from autotools-dev.
    Closes: #317305.
  * debian/aranym-jit.1, debian/aranym-mmu.1, debian/aratapif.1:
    Fix groff warnings by using named characters.
  * debian/aranym-jit.substvars: Remove cruft.



=== debian/control ===
Source: aranym
Section: otherosfs
Priority: extra
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Homepage: http://aranym.org/
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 5), autotools-dev, bzip2, libsdl1.2-dev, libsdl-image1.2-dev, libmpfr-dev, libusb-1.0-0-dev [!kfreebsd-any], imagemagick, zlib1g-dev

Package: aranym
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uml-utilities, bridge-utils
Conflicts: aranym-jit, aranym-mmu
Description: Atari Running on Any Machine
 Virtual Machine for running Atari 32-bit operating systems and applications

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

HOSTTYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifeq ($(HOSTTYPE),i586)
	HOSTTYPE = i386
endif
ifeq ($(HOSTTYPE),i686)
	HOSTTYPE = i386
endif

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq (${DEB_HOST_ARCH_OS},kfreebsd)
	CF_USB = --disable-usbhost
else
	CF_USB = --enable-usbhost
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	([ ! -f Makefile ] || $(MAKE) distclean)
	(bash configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr ${CF_USB} && $(MAKE))
	($(MAKE) install DESTDIR=`pwd`/debian/tmp )

	([ ! -f Makefile ] || $(MAKE) distclean)
	(bash configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --enable-fullmmu --enable-lilo ${CF_USB} && $(MAKE))
	($(MAKE) install DESTDIR=`pwd`/debian/aranym-mmu )
	cp `pwd`/debian/aranym-mmu/usr/bin/aranym `pwd`/debian/tmp/usr/bin/aranym-mmu

	cp `pwd`/debian/menu-other `pwd`/debian/menu

ifeq ($(HOSTTYPE),i386)
	([ ! -f Makefile ] || $(MAKE) distclean)
	(bash configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --enable-jit-compiler ${CF_USB} && $(MAKE))
	($(MAKE) install DESTDIR=`pwd`/debian/aranym-jit )

	cp `pwd`/debian/aranym-jit/usr/bin/aranym `pwd`/debian/tmp/usr/bin/aranym-jit

	cp `pwd`/debian/menu-i386 `pwd`/debian/menu
endif

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf debian/tmp
	rm -rf debian/aranym
	rm -rf debian/aranym-jit
	rm -rf debian/aranym-mmu
	rm -f debian/menu

	([ ! -f Makefile ] || $(MAKE) distclean)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	rm -f debian/tmp/usr/share/doc/aranym/COPYING
	rm -f debian/tmp/usr/share/doc/aranym/INSTALL
	rm -rf debian/tmp/usr/share/aranym/atari/nfcdrom
	rm -rf debian/tmp/usr/share/aranym/atari/nfosmesa
	rm -rf debian/tmp/usr/share/aranym/atari/nfjpeg

	install -m 644 -D `pwd`/contrib/aranym.desktop `pwd`/debian/tmp/usr/share/applications/aranym.desktop
	install -m 644 -D `pwd`/contrib/aranym-mmu.desktop `pwd`/debian/tmp/usr/share/applications/aranym-mmu.desktop
ifeq ($(HOSTTYPE),i386)
	install -m 644 -D `pwd`/contrib/aranym-jit.desktop `pwd`/debian/tmp/usr/share/applications/aranym-jit.desktop
endif
	mkdir -p `pwd`/debian/tmp/usr/share/pixmaps/
	convert `pwd`/contrib/icon-32.png `pwd`/debian/tmp/usr/share/pixmaps/aranym.xpm
	install -m 644 -D `pwd`/contrib/icon-32.png `pwd`/debian/tmp/usr/share/icons/hicolor/32x32/apps/aranym.png
	install -m 644 -D `pwd`/contrib/icon-48.png `pwd`/debian/tmp/usr/share/icons/hicolor/48x48/apps/aranym.png

	dh_install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install binary-common

binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/aranym/aranym_([0-9.]*)\.orig\.tar\.gz

## aranym 0.9.14

=== debian/changelog ===
aranym (0.9.14-2) unstable; urgency=low

  * handle libusb dependency on kfreebsd (Closes:#690007)
    Patch courtesy of Thorsten Glaser

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 09 Oct 2012 14:59:45 +0200

aranym (0.9.14-1) unstable; urgency=low

  * new upstream release
  * use of dpkg-dev to get hardening cflags

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 20 Sep 2012 20:28:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
 Homepage: http://aranym.org/
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 5), autotools-dev, bzip2, libsdl1.2-dev, libsdl-image1.2-dev, libmpfr-dev, libusb-1.0-0-dev [!kfreebsd-any], imagemagick, zlib1g-dev
+Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.16.1~), autotools-dev, bzip2, libsdl1.2-dev, libsdl-image1.2-dev, libmpfr-dev, libusb-1.0-0-dev [!kfreebsd-any], imagemagick, quilt
 
 Package: aranym
 Architecture: any

## aranym 0.9.15

=== atari/nfjpeg/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TARGET = nfjpeg.prg
 
 COBJS = nfjpeg.c ../natfeat/natfeat.c ../nfpci/nfpci_cookie.c
-SOBJS = entry.S nfjpeg_functions.S
+SOBJS = entry.S nfjpeg_functions.S ../natfeat/natfeat_asm.S
 
 include ../CONFIGVARS
 
@@ -19,4 +19,4 @@
 	${STRIP} $(TARGET)
 
 clean:
-	rm $(COBJECTS) $(SOBJECTS) $(TARGET)
+	rm -f $(COBJECTS) $(SOBJECTS) $(TARGET)

=== atari/nfosmesa.xdd/Makefile ===
#
# Makefile for a xdd skeleton
#
FREEMINT_ROOT_DIR = /home/patrice/src/atari/freemint

TARGET = nfosmesa.xdd

include ../CONFIGVARS

CFLAGS = -O2 -fomit-frame-pointer -Wall -mshort

# default overwrites
INCLUDES = -I$(FREEMINT_ROOT_DIR)/sys
DEFINITIONS = -D__KERNEL_XDD__

COBJS = nfosmesa.c ../natfeat/natfeat.c

LD = $(CC) -nostdlib -Wl,--entry -Wl,_init
LIBS = $(LIBKERN) -lgcc

OBJS = $(COBJS:.c=.o)

all: $(TARGET)

.c.o:
	$(CC) -o $@ -c $< $(CFLAGS) $(INCLUDES) $(DEFINITIONS)

$(TARGET): $(OBJS)
	$(LD) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

=== atari/nfosmesa/Makefile ===

TARGET = osmesa.ldg

COBJS = nfosmesa.c lib-osmesa.c lib-oldmesa.c lib-misc.c lib-gl.c lib-glext.c \
	../natfeat/natfeat.c
SOBJS = ../natfeat/natfeat_asm.S

include ../CONFIGVARS

CFLAGS  = -O2 -fomit-frame-pointer -Wall
ASFLAGS = -m68020
LDFLAGS = -lldg -lgem

COBJECTS = $(COBJS:.c=.o)
SOBJECTS = $(SOBJS:.S=.o)

all:	$(TARGET)

$(TARGET):	$(COBJECTS) $(SOBJECTS)
	${CC} -o $@ $? ${LDFLAGS}
	${STRIP} $@

clean:
	rm -f $(COBJECTS) $(TARGET)

=== atari/nfpci/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TARGET = nfpci.prg
 
 COBJS = nfpci.c nfpci_cookie.c ../natfeat/natfeat.c
-SOBJS = entry.S nfpci_bios.S nfpci_xbios.S
+SOBJS = entry.S nfpci_bios.S nfpci_xbios.S ../natfeat/natfeat_asm.S
 
 include ../CONFIGVARS
 
@@ -20,4 +20,4 @@
 	${STRIP} $(TARGET)
 
 clean:
-	rm $(COBJECTS) $(SOBJECTS) $(TARGET)
+	rm -f $(COBJECTS) $(SOBJECTS) $(TARGET)

=== atari/nfstderr/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 TARGET1 = print.prg
 
 COBJS = nfstderrbos.c ../natfeat/natfeat.c ../nfpci/nfpci_cookie.c
-SOBJS = entry.S
+SOBJS = entry.S ../natfeat/natfeat_asm.S
 
 include ../CONFIGVARS

=== atari/hostfs/metados/Makefile ===
--- 
+++ 
@@ -57,6 +57,8 @@
 .xfso:	$(srcdir)/../hostfs_xfs.c $(srcdir)/../hostfs_dev.c
 	$(MKDIR) -p $@
 	$(CP) -r $(srcdir)/../hostfs_xfs.c $(srcdir)/../hostfs_dev.c $@
+	$(CP) -r $(srcdir)/../hostfs_xfs.h $(srcdir)/../hostfs_dev.h $@
+	$(CP) -r $(srcdir)/../hostfs_nfapi.h $@
 	touch $@/BINFILES
 	touch $@/EXTRAFILES
 	touch $@/MISCFILES

=== debian/changelog ===
aranym (0.9.15-1ubuntu1) trusty; urgency=low

  * Use autotools-dev dh helper for arm64 FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 18 Feb 2014 16:35:56 -0500

aranym (0.9.15-1) unstable; urgency=low

  * new upstream realease (Closes:#698064)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 17 Apr 2013 11:43:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: aranym
 Section: otherosfs
 Priority: extra
-Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
 Homepage: http://aranym.org/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.16.1~), autotools-dev, bzip2, libsdl1.2-dev, libsdl-image1.2-dev, libmpfr-dev, libusb-1.0-0-dev [!kfreebsd-any], imagemagick, quilt
 
 Package: aranym

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
@@ -30,12 +33,13 @@
 build-stamp:
 	dh_testdir
 
+	dh_autotools-dev_updateconfig
 	([ ! -f Makefile ] || $(MAKE) distclean)
-	(bash configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr ${CF_USB} && $(MAKE))
+	(./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr ${CF_USB} && $(MAKE))
 	($(MAKE) install DESTDIR=`pwd`/debian/tmp )
 
 	([ ! -f Makefile ] || $(MAKE) distclean)
-	(bash configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --enable-fullmmu --enable-lilo ${CF_USB} && $(MAKE))
+	(./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --enable-fullmmu --enable-lilo ${CF_USB} && $(MAKE))
 	($(MAKE) install DESTDIR=`pwd`/debian/aranym-mmu )
 	cp `pwd`/debian/aranym-mmu/usr/bin/aranym `pwd`/debian/tmp/usr/bin/aranym-mmu
 
@@ -43,7 +47,7 @@
 
 ifeq ($(HOSTTYPE),i386)
 	([ ! -f Makefile ] || $(MAKE) distclean)
-	(bash configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --enable-jit-compiler ${CF_USB} && $(MAKE))
+	(./configure --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --enable-jit-compiler ${CF_USB} && $(MAKE))
 	($(MAKE) install DESTDIR=`pwd`/debian/aranym-jit )
 
 	cp `pwd`/debian/aranym-jit/usr/bin/aranym `pwd`/debian/tmp/usr/bin/aranym-jit
@@ -65,6 +69,7 @@
 
 	([ ! -f Makefile ] || $(MAKE) distclean)
 
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install: build

## aranym 0.9.16

=== debian/changelog ===
aranym (0.9.16-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 30 Apr 2014 20:58:52 -0400

aranym (0.9.16-1) unstable; urgency=medium

  * [57093b8] Imported Upstream version 0.9.16
  * [cf22323] Bump standards
  * [fc8a0cb] JIT is supported on amd64 starting this new upstream release
  * [12f537b] Reference icons with absolute paths

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 15 Apr 2014 14:34:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
 Homepage: http://aranym.org/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.16.1~), autotools-dev, bzip2, libsdl1.2-dev, libsdl-image1.2-dev, libmpfr-dev, libusb-1.0-0-dev [!kfreebsd-any], imagemagick, quilt
 
 Package: aranym

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	HOSTTYPE = i386
 endif
 ifeq ($(HOSTTYPE),i686)
+	HOSTTYPE = i386
+endif
+ifeq ($(HOSTTYPE),amd64)
 	HOSTTYPE = i386
 endif
